### Hierarchy

- PokemonParser

### Implements

- Parser

## Index

### Properties

- pokemonRegex

### Methods

- Parse
- generateBackrefs
- generateFrontRefs
- isItemTemplatePokemon

## Properties

### Private pokemonRegex

pokemonRegex: string = "^(V[0-9]+_POKEMON_?.*)"

- Defined in components/pokemon/pokemon.parser.ts:7

## Methods

### Parse

- Parse(gameMaster: RootObject): Pokemon[]

- Implementation of Parser.Parse

  - Defined in components/pokemon/pokemon.parser.ts:12

  #### Parameters

  - ##### gameMaster: RootObject

  #### Returns Pokemon[]

### generateBackrefs

- generateBackrefs(parsedPokemon: Pokemon[]): Pokemon[]

- - Defined in components/pokemon/pokemon.parser.ts:22

  #### Parameters

  - ##### parsedPokemon: Pokemon[]

  #### Returns Pokemon[]

### generateFrontRefs

- generateFrontRefs(pastPokemon: Pokemon[]): Pokemon[]

- - Defined in components/pokemon/pokemon.parser.ts:51

  #### Parameters

  - ##### pastPokemon: Pokemon[]

  #### Returns Pokemon[]

### Private isItemTemplatePokemon

- isItemTemplatePokemon(item: ItemTemplate): boolean

- - Defined in components/pokemon/pokemon.parser.ts:8

  #### Parameters

  - ##### item: ItemTemplate

  #### Returns boolean

Generated using TypeDoc